# HG changeset patch
# User Richard Birch <n7uoa.birch@gmail.com>
# Date 1492754815 21600
#      Fri Apr 21 00:06:55 2017 -0600
# Node ID 85691980293ba32165839b69afbc0132fda4f49c
# Parent  7fe5f7b14be57479d4d37c9e204caf6a076b5d18
[vx5] Corrected checksum and added prompts Fixes #4749

diff -r 7fe5f7b14be5 -r 85691980293b chirp/drivers/vx5.py
--- a/chirp/drivers/vx5.py	Thu Apr 13 17:31:54 2017 -0700
+++ b/chirp/drivers/vx5.py	Fri Apr 21 00:06:55 2017 -0600
@@ -16,6 +16,7 @@
 
 from chirp.drivers import yaesu_clone
 from chirp import chirp_common, directory, errors, bitwise
+from textwrap import dedent
 
 MEM_FORMAT = """
 #seekto 0x002A;
@@ -162,7 +163,7 @@
     _block_size = 8
 
     def _checksums(self):
-        return [yaesu_clone.YaesuChecksum(0x0000, 0x1FB9)]
+        return [yaesu_clone.YaesuChecksum(0x0000, 0x1FB9, 0x1FBA)]
 
     def get_features(self):
         rf = chirp_common.RadioFeatures()
@@ -273,6 +274,26 @@
         _flg.pskip = mem.skip == "P"
 
     @classmethod
+    def get_prompts(cls):
+        rp = chirp_common.RadioPrompts()
+        rp.pre_download = _(dedent("""\
+            1. Turn radio off.
+            2. Connect cable to MIC/EAR jack.
+            3. Press and hold in the [F/W] key while turning the radio on
+                ("CLONE" will appear on the display).
+            4. <b>After clicking OK</b>, press the [VFO(DW)SC] key to receive
+                the image from the radio."""))
+        rp.pre_upload = _(dedent("""\
+            1. Turn radio off.
+            2. Connect cable to MIC/EAR jack.
+            3. Press and hold in the [F/W] key while turning the radio on
+                ("CLONE" will appear on the display).
+            4. Press the [MR(SKP)SC] key ("CLONE WAIT" will appear
+                on the LCD).
+            5. Click OK to send image to radio."""))
+        return rp
+
+    @classmethod
     def match_model(cls, filedata, filename):
         return len(filedata) == cls._memsize
 
